@import "../screen";
.overlay {
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.280);
    z-index: 10;
    #modalUserPart {
        display: flex;
        min-width: 50%;
        min-height: 30%;
        flex-direction: column;
        justify-content: flex-end;
        @media (max-width: $medium) {
            min-width: 80%;
        }
        @media (max-width: $small) {
            min-width: 100%;
        }
        .onglet-registration-modal {
            $height-onglet: 35px;
            background-color: rgba(255, 255, 255, 0);
            display: flex;
            flex-direction: column;
            height: $height-onglet;
            .onglets {
                display: flex;
                justify-content: space-between;
                height: $height-onglet;
                div {
                    align-items: flex-end;
                    &.onglet-gauche {
                        display: flex;
                    }
                }
                .onglet {
                    border: 1px solid black;
                    border-radius: 0;
                    border-bottom: 0;
                    height: 20px;
                    width: 150px;
                    transition: all 0.3s;
                    &.active {
                        background: white;
                        height: $height-onglet;
                    }
                }
            }
        }
        #modal-parts {
            background: white;
            padding: 30px;
            border: solid 0.5px;
            .registrationForm {
                flex-wrap: nowrap;
                @media (max-width: $small) {
                    justify-content: center;
                    flex-wrap: wrap;
                }
                .divAccountConnection {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;
                    @media (max-width: $small) {
                        height: 220px;
                        margin-bottom: 30px;
                    }
                    .divImageAccount {
                        position: relative;
                        border: solid 0.5px;
                        @media (max-width: $small) {
                            height: 100%;
                        }
                        .taille_image {
                            position: relative;
                            top: 0;
                            left: 0;
                            opacity: 0;
                            z-index: 5;
                            height: 100%;
                            width: 100%;
                        }
                        .change_image {
                            margin: auto;
                        }
                    }
                }
                #registration_account {
                    display: grid;
                    padding-left: 30px;
                    @media (max-width: $small) {
                        padding-left: 0;
                    }
                    .input-user-all-registration {
                        background: transparent;
                        border: none;
                        border-bottom: 1px solid rgb(0, 0, 0);
                        font-family: 'PLay', sans-serif;
                        font-size: 16px;
                        padding: 20px 0 5px 0;
                        outline: none;
                        color: rgb(0, 0, 0);
                        font-weight: bold;
                        &:first-child {
                            padding-top: 0;
                        }
                    }
                    .checbox-accept {
                        color: rgb(75, 75, 75);
                        margin-top: 15px;
                        display: flex;
                        align-items: center;
                        justify-content: space-between;
                        .accept-GCU {
                            user-select: none;
                            cursor: pointer;
                        }
                    }
                }
            }
            .part-login-forgot {
                border: none;
                padding: 0;
                .vertical-line {
                    margin: 0;
                    @media (max-width: $small) {
                        border-right: none;
                        margin: 15px 0;
                        width: 100%;
                    }
                }
                .form-login,
                .form-forgot-password {
                    width: 45%;
                }
                .form-forgot-password,
                .form-login {
                    @media (max-width: $small) {
                        width: 100%;
                    }
                }
                .divConnection,
                .divPasswordForget {
                    width: 100%;
                }
            }
        }
    }
}

.part-login-forgot {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    border: 1px solid black;
    padding: 20px;
    .vertical-line {
        margin: 0 15px;
        @media (max-width: $small) {
            border-right: none;
            margin: 15px 0;
            width: 100%;
        }
    }
    .form-login,
    .form-forgot-password {
        justify-content: space-between;
        .divConnection {
            .grid-line-login {
                display: flex;
                justify-content: space-between;
            }
            .checkmemory {
                user-select: none;
                cursor: pointer;
            }
        }
        .divConnection,
        .divPasswordForget {
            width: 300px;
            display: flex;
            flex-direction: column;
            .div-input {
                display: flex;
                flex-direction: column;
                input:last-child {
                    margin-bottom: 15px;
                }
            }
            .BtnSendLoginForgot {
                display: flex;
                justify-content: flex-end;
            }
        }
    }
}

#compte-form,
#informations-form,
.registrationForm,
.form-login,
.form-forgot-password {
    display: flex;
    flex-wrap: wrap;
    input[type="text"],
    input[type="number"],
    input[type="email"],
    input[type="password"] {
        background: transparent;
        border: none;
        border-bottom: 1px solid rgb(0, 0, 0);
        font-family: 'PLay', sans-serif;
        font-size: 16px;
        padding: 10px 0;
        outline: none;
        color: rgb(0, 0, 0);
        font-weight: bold;
    }
    button,
    input[type="button"] {
        font-family: "PLay", sans-serif;
        background: white;
        border: solid 1px #686868;
        color: rgb(75, 75, 75);
        padding: 5px;
        font-size: 12px;
        font-weight: bold;
        letter-spacing: 1px;
        text-transform: uppercase;
    }
    .divPasswordForget {
        .input-user-login-forget-password {
            background: transparent;
            border: none;
            border-bottom: 1px solid rgb(0, 0, 0);
            font-family: 'PLay', sans-serif;
            font-size: 16px;
            padding: 10px 0;
            transition: border 0.5s;
            outline: none;
            color: rgb(0, 0, 0);
            font-weight: bold;
        }
    }
    cite {
        padding-top: 5px;
        color: rgba(0, 0, 0);
        font-size: 10px;
    }
}

//compte
#compte-form {
    .img-part-compte {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        .square-img {
            position: relative;
            border: solid 0.5px;
            .img-input-compte {
                opacity: 0;
            }
        }
    }
    .part-right-compte-page {
        padding-left: 30px;
        display: flex;
        flex-direction: column;
    }
    .compte-left-part-right,
    .compte-right-part-right {
        p {
            &:first-child {
                margin-top: 0;
            }
            width: 300px;
        }
    }
    .compte-top-right-part {
        display: flex;
        border-bottom: 1px solid black;
        margin-bottom: 10px;
        .compte-left-part-right {
            padding: 10px;
            border-right: 1px solid black;
        }
        .compte-right-part-right {
            padding: 10px;
        }
    }
    .button-compte-modification {
        display: flex;
        justify-content: flex-end;
    }
    .formulaire-modification-part {
        display: flex;
        flex-direction: column;
    }
}

#div-form-user-login {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    @media (max-width: $small) {
        .part-login-forgot {
            justify-content: space-around;
        }
    }
}

//Informations
#informations-form {
    .div-informations-flex {
        display: flex;
        width: 100%;
        justify-content: space-between;
        .div-informations-left {
            width: 45%;
            .left-div-informations {
                display: flex;
                flex-direction: column;
                #input-change-password {
                    margin: 19px 0;
                }
            }
        }
    }
    .div-btn-informations {
        display: flex;
        justify-content: flex-end;
        padding-top: 10px;
    }
    .div-informations-right {
        width: 45%;
        .right-div-informations {
            display: flex;
            flex-direction: column;
            .p-right-info {
                margin-top: 21px;
                margin-bottom: 21px;
                text-align: center;
            }
        }
    }
}